Bug 146892 - Syslogd refuses to start, claiming that libc has a permission denied error
Syslogd refuses to start, claiming that libc has a permission denied error
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 11:22 EST by David Chipman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-06 17:37:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Chipman 2005-02-02 11:22:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
When the computer starts-up, sysklogd won't start because there is a
"permission denied" error when loading glibc ("libc.so.6"). Here is
the exact message recieved from the syslog init script:

Starting system logger: syslogd: error while loading shared libraries:
libc.so.6: cannot open shared object file: Permission denied

Version-Release number of selected component (if applicable):
glibc-2.3.4-2.fc3

How reproducible:
Always

Steps to Reproduce:
1. Run syslog init script
    

Actual Results:  I receieved the errro copied above.

Expected Results:  syslogd should have started.

Additional info:
Comment 1 Jakub Jelinek 2005-02-06 17:03:36 EST
That sounds like you have incorrect security context on /lib/tls/libc-2.3.4.so
(and probably other libraries).  ls -lZ should show *:shlib_t for
/lib/tls/lib-[0-9]*.so
restorecon /lib/tls/lib*.so ought to fix this.

Comment 2 Christian Rose 2005-04-22 18:55:50 EDT
I have the exact same problem, only with a RHEL 4 system upgraded from RHEL 3.
SELinux is enabled with the default policy.

# ls -lZ /lib/tls/lib*.so
-rwxr-xr-x  root     root     system_u:object_r:shlib_t       
/lib/tls/libc-2.3.4.so
-rwxr-xr-x  root     root     system_u:object_r:shlib_t       
/lib/tls/libm-2.3.4.so
-rwxr-xr-x  root     root     system_u:object_r:shlib_t       
/lib/tls/libpthread-2.3.4.so
-rwxr-xr-x  root     root     system_u:object_r:shlib_t       
/lib/tls/librt-2.3.4.so
-rwxr-xr-x  root     root     system_u:object_r:shlib_t       
/lib/tls/libthread_db-1.0.so

...but still...

# /sbin/service syslog restart
Shutting down kernel logger:                               [  OK  ]
Shutting down system logger:                               [FAILED]
Starting system logger: syslogd: error while loading shared libraries:
libc.so.6: cannot open shared object file: Permission denied
                                                           [FAILED]
Starting kernel logger:                                    [  OK  ]
Comment 3 Christian Rose 2005-05-03 10:10:16 EDT
I've added a bug report about the same problem in RHEL4 (as described in comment
#2) as bug 156696.
Comment 4 Jakub Jelinek 2005-05-04 18:06:42 EDT
Does the command in 156696's #4 fix this one too?
Comment 5 Jakub Jelinek 2005-07-06 17:37:47 EDT
No response, I'm assuming it does.

Note You need to log in before you can comment on or make changes to this bug.